package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundCount;
import com.tanpu.fund.entity.generator.FundCountExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundCountMapper {
    long countByExample(FundCountExample example);

    int deleteByExample(FundCountExample example);

    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(FundCount record);

    int insertOrUpdate(FundCount record);

    int insertOrUpdateSelective(FundCount record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(FundCount record);

    List<FundCount> selectByExample(FundCountExample example);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    FundCount selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundCount record, @Param("example") FundCountExample example);

    int updateByExample(@Param("record") FundCount record, @Param("example") FundCountExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(FundCount record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(FundCount record);

    int updateBatch(List<FundCount> list);

    int batchInsert(@Param("list") List<FundCount> list);
}